%define ver_major 2.32

Name: evolution-webcal
Version: %ver_major.0
Release: alt1

Summary: Webcal URL handler
Group: Networking/Other
License: GPLv2+
Packager: GNOME Maintainers Team <gnome at packages.altlinux.org>
URL: http://www.gnome.org/projects/evolution/

Source: %gnome_ftp/%name/%ver_major/%name-%version.tar.bz2

# From configure.ac
%define glib_ver 2.8
%define gtk_ver 2.18
%define soup_ver 2.3.0

PreReq: GConf2
BuildPreReq: rpm-build-gnome
# From configure.in
BuildPreReq: gnome-common
BuildPreReq: intltool >= 0.40.0
BuildPreReq: glib2-devel >= %glib_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: evolution-data-server-devel
BuildPreReq: libsoup-devel >= %soup_ver

BuildRequires: perl-XML-Parser

%description
This URL handler adds webcal: URL support to Evolution calendar.
Webcal allows users to access shared iCalendar files via WebDAV.

%prep
%setup -q

%build
%configure \
    --disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%doc AUTHORS ChangeLog NEWS README TODO
%_libexecdir/%name
%config %gconf_schemasdir/*

%changelog
* Mon Oct 11 2010 Alexey Shabalin <shaba@altlinux.ru> 2.32.0-alt1
- 2.32.0

* Wed Jun 23 2010 Alexey Shabalin <shaba@altlinux.ru> 2.28.1-alt1
- 2.28.1

* Thu Nov 26 2009 Alexey Shabalin <shaba@altlinux.ru> 2.28.0-alt1
- 2.28.0

* Sun Apr 12 2009 Alexey Shabalin <shaba@altlinux.ru> 2.26.0-alt1
- 2.26.0

* Thu Oct 02 2008 Alexey Shabalin <shaba@altlinux.ru> 2.24.0-alt1
- 2.24.0

* Sat May 03 2008 Alexey Shabalin <shaba@altlinux.ru> 2.21.92-alt1
- 2.21.92

* Fri Nov 09 2007 Alexey Shabalin <shaba@altlinux.ru> 2.12.0-alt1
- 2.12.0

* Sat Aug 18 2007 Alexey Shabalin <shaba@altlinux.ru> 2.10.0-alt1
- Update 2.10.0
- change packager

* Thu Sep 07 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.8.0-alt1
- Release 2.8.0

* Tue Jun 20 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt3
- Rebuilt with new e-d-s

* Sun May 28 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt2
- x86_64 fix: the executable is listed in libexecdir

* Sat May 27 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.6.0-alt1
- Release 2.6.0

* Sun Feb 19 2006 Mikhail Zabaluev <mhz@altlinux.ru> 2.5.90-alt1
- Updated to 2.5.90
- Buildreq
- Changed the main versioned dependency from evolution to e-d-s

* Mon Dec 05 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt3
- Replaced mozilla in build requirements with libnspr and libnss

* Sun Oct 23 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt2
- Moved schemas uninstallation to the preun script

* Sun Oct 23 2005 Mikhail Zabaluev <mhz@altlinux.ru> 2.4.1-alt1
- Initial release for Sisyphus
